

FileName = [ModelLabel '_ParametricCurve_id_di_' num2str(id_network) '.png'];
CompleteFileName = [ './Chap/Opinion_Tools/Figures/' FileName];

if ~exist(CompleteFileName,'file')        

    if id_model ~= 1
        switch id_model
            case 2 % BEBA
                Adj_Mat = InteractionNetwork{1};
                Adj_Mat = Adj_Mat.*(ones(size(Adj_Mat)) - eye(size(Adj_Mat)));
                Digraph = digraph(transpose(Adj_Mat));
            case 3 % CB
                Adj_Mat = InteractionNetwork;
                Adj_Mat = Adj_Mat.*(ones(size(Adj_Mat)) - eye(size(Adj_Mat)));
                Digraph = digraph(transpose(Adj_Mat));
            case 4 % FJ
                Adj_Mat = InteractionNetwork;
                Adj_Mat = Adj_Mat.*(ones(size(Adj_Mat)) - eye(size(Adj_Mat)));
                Digraph = digraph(transpose(Adj_Mat));
        end
        [desLineWidth_Digraph, ArrowSize, desAlpha] = DigraphSettings(id_network, id_model);
        plot(Digraph, 'LineWidth', desLineWidth_Digraph, 'layout', 'force', 'NodeLabel',{}, 'NodeColor', NodeColor, 'EdgeAlpha',desAlpha, 'MarkerSize',2, 'ArrowSize', ArrowSize)  
        title({DigraphLabel(id_network, id_model) , 'digraph'})
    
    end

    set(gca, 'fontsize', 25, 'fontweight', 'bold')
    exportgraphics(Fig, CompleteFileName), pause(0.1), clf


end